aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2020-01-20 10:04:06 +0100
committerLeo <thinkabit.ukim@gmail.com>2020-01-20 10:13:05 +0100
commitc93375f7e8eb197e2a99c603d9308ab589740d85 (patch)
tree6efa330878fadba87b27671f0480c3b9c7989a55
parent55a854afcd5a50a06fb4e5e86cc16286b13d479d (diff)
downloadaports-c93375f7e8eb197e2a99c603d9308ab589740d85.tar.gz
aports-c93375f7e8eb197e2a99c603d9308ab589740d85.tar.bz2
aports-c93375f7e8eb197e2a99c603d9308ab589740d85.tar.xz
main/make: upgrade to 4.3
-rw-r--r--main/make/APKBUILD24
-rw-r--r--main/make/fix-atexit-exit.patch17
-rw-r--r--main/make/fix-glob-dtype.patch31
3 files changed, 5 insertions, 67 deletions
diff --git a/main/make/APKBUILD b/main/make/APKBUILD
index 4f5fef6999..8fba088dde 100644
--- a/main/make/APKBUILD
+++ b/main/make/APKBUILD
@@ -1,26 +1,16 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=make
-pkgver=4.2.1
-pkgrel=2
+pkgver=4.3
+pkgrel=0
pkgdesc="GNU make utility to maintain groups of programs"
url="https://www.gnu.org/software/make"
arch="all"
license="GPL-3.0-or-later"
-depends=""
subpackages="$pkgname-doc"
-source="https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.bz2
- fix-atexit-exit.patch
- fix-glob-dtype.patch
+source="https://ftp.gnu.org/gnu/make/make-$pkgver.tar.gz
"
-prepare() {
- cd "$builddir"
- update_config_sub
- default_prepare
-}
-
build() {
- cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -32,15 +22,11 @@ build() {
}
check() {
- cd "$builddir"
- [ "$CBUILD" != "$CHOST" ] || (ulimit -n 64 && PERL5LIB=. make check) || return 1
+ [ "$CBUILD" != "$CHOST" ] || (ulimit -n 64 && PERL5LIB=. make check)
}
package() {
- cd "$builddir"
make DESTDIR="$pkgdir" install
}
-sha512sums="9cf00869a2f938492554f71d8cb288b5b009b3bd0489ef164f2c8f6532fc37db5c7e20af1dea288536e7c9710ee0bc6e1ddcdfc4928a8540e6e43661741825b8 make-4.2.1.tar.bz2
-a1639d9caf84a24a9f161a30d8b5dcd079b13faf2a5e3d514ff39fa11b13e796c7ff34c46ac2b56656d52129b4d3627c6102b129a4ab011f065076d872ef3992 fix-atexit-exit.patch
-f0ae3f192912ef6ee7f938c1c5448e2c4797b3233933f4a72eaeffd402f5c4d2c06680029042a18db8f8158fbd098527d45e0c19390642d05ad77c530a2f68e8 fix-glob-dtype.patch"
+sha512sums="9a1185cc468368f4ec06478b1cfa343bf90b5cd7c92c0536567db0315b0ee909af53ecce3d44cfd93dd137dbca1ed13af5713e8663590c4fdd21ea635d78496b make-4.3.tar.gz"
diff --git a/main/make/fix-atexit-exit.patch b/main/make/fix-atexit-exit.patch
deleted file mode 100644
index a71d26fb55..0000000000
--- a/main/make/fix-atexit-exit.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Author: Timo Teräs <timo.teras@iki.fi>
-
-POSIX says the behaviour is undefined if atexit callback calls
-exit(). On glibc it works, but on musl it does not. Call instead
-_exit() which is guaranteed to work.
-
---- ./output.c.orig
-+++ ./output.c
-@@ -495,7 +495,7 @@
- perror_with_name (_("write error: stdout"), "");
- else
- O (error, NILF, _("write error: stdout"));
-- exit (MAKE_TROUBLE);
-+ _exit (MAKE_TROUBLE);
- }
- }
-
diff --git a/main/make/fix-glob-dtype.patch b/main/make/fix-glob-dtype.patch
deleted file mode 100644
index 56c4e6c050..0000000000
--- a/main/make/fix-glob-dtype.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-musl 1.1.19 introduced the _DIRENT_HAVE_D_* macros in commit
-1bc10ffeaa7c7ce44b3e214e02e302642511c7c7, triggering a bug in GNU make
-that's present up to the current version:
-
-http://git.savannah.gnu.org/cgit/make.git/tree/glob/glob.c?id=5d653b535a0e0e607c8be2016bcaadd6f326a698#n1333
-
-The glob replacement they ship includes and uses internally a
-GLOB_ONLYDIR flag, which is opportunistic and implemented via d_type
-if _DIRENT_HAVE_D_TYPE is defined, and it fails to consider that
-DT_LNK could be a symlink to a directory. This is an ancient version
-of glob.c; the modern GNU glob in glibc rightly considers DT_LNK. Thus
-the bug is not seen on glibc systems (where the glob replacement is
-not used), but will be seen on any system where _DIRENT_HAVE_D_TYPE is
-defined and where configure decides to replace the libc glob with
-their GNU one.
-
-http://www.openwall.com/lists/musl/2018/03/13/1
-
-diff --git a/glob/glob.c b/glob/glob.c
-index f3911bc..d6bb8ba 100644
---- a/glob/glob.c
-+++ b/glob/glob.c
-@@ -1330,7 +1330,7 @@ glob_in_dir (pattern, directory, flags, errfunc, pglob)
- /* If we shall match only directories use the information
- provided by the dirent call if possible. */
- if ((flags & GLOB_ONLYDIR)
-- && d->d_type != DT_UNKNOWN && d->d_type != DT_DIR)
-+ && d->d_type != DT_UNKNOWN && d->d_type != DT_DIR && d->d_type != DT_LNK)
- continue;
- #endif
-